group: unsubscribeByMail
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Calling this method will disable the current user to receive email notifications for this group about new posts, events, and files in that group. Supported for Microsoft 365 groups only.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Group.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Group.ReadWrite.All |
HTTP request
POST /groups/{id}/unsubscribeByMail
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Prefer | return=minimal. If minimal response header is included in the request header, then a successful response returns 204 No Content code. Optional. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 200 OK response code. It does not return anything in the response body.
Example
Request
The following is an example of the request.
POST https://graph.microsoft.com/beta/groups/{id}/unsubscribeByMail
Response
The following is an example of the response.
HTTP/1.1 200 OK
Feedback
Submit and view feedback for